package com.mvc.dao;

import com.mvc.entity.TRepaire;

import java.util.List;

import com.mvc.entity.TRepaireExample;
import org.apache.ibatis.annotations.Param;

public interface TRepaireMapper {
    long countByExample(TRepaireExample example);

    int deleteByExample(TRepaireExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TRepaire record);

    int insertSelective(TRepaire record);

    List<TRepaire> selectByExample(TRepaireExample example);

    TRepaire selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TRepaire record, @Param("example") TRepaireExample example);

    int updateByExample(@Param("record") TRepaire record, @Param("example") TRepaireExample example);

    int updateByPrimaryKeySelective(TRepaire record);

    int updateByPrimaryKey(TRepaire record);
}